Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2013-02-14 14:10:11 +0000
committerDavid Williams2013-02-14 14:10:11 +0000
commit082c30035876073e6f29d62013d0c00e5f3ea0f6 (patch)
treebad751635cb34f19c2fea7e9bff4602b0993055b /production/run-maven-build.sh
parentcfb44233c7c16d9e1f6d58cfa26f0bc92c62468e (diff)
downloadeclipse.platform.releng.aggregator-082c30035876073e6f29d62013d0c00e5f3ea0f6.tar.gz
eclipse.platform.releng.aggregator-082c30035876073e6f29d62013d0c00e5f3ea0f6.tar.xz
eclipse.platform.releng.aggregator-082c30035876073e6f29d62013d0c00e5f3ea0f6.zip
Bug 400750 - [CBI] Build failing with not-obvious error
Diffstat (limited to 'production/run-maven-build.sh')
-rw-r--r--production/run-maven-build.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/production/run-maven-build.sh b/production/run-maven-build.sh
index 5a7500a7..82eab42d 100644
--- a/production/run-maven-build.sh
+++ b/production/run-maven-build.sh
@@ -40,7 +40,8 @@ fi
fn-maven-cbi-install "$aggDir" "$LOCAL_REPO"
fn-maven-parent-install "$aggDir" "$LOCAL_REPO"
-exitCode=$( fn-maven-build-aggregator "$BUILD_ID" "$aggDir" "$LOCAL_REPO" $COMPARATOR $SIGNING $UPDATE_BRANDING $MAVEN_BREE )
+$( fn-maven-build-aggregator "$BUILD_ID" "$aggDir" "$LOCAL_REPO" $COMPARATOR $SIGNING $UPDATE_BRANDING $MAVEN_BREE )
+exitCode=$?
# first make sure exit code is well formed
if [[ -z "${exitCode}" ]]

Back to the top